---
name: Bug report
about: Create a report to help us improve
labels: bug

---

**Describe the bug**
A clear and concise description of what the bug is.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Environment**
Include all relevant environment information:
1. OS [e.g. Ubuntu 18.04]:
2. Python version [e.g. 3.7]:
3. DeepSparse version or commit hash [e.g. 0.1.0, `f7245c8`]:
4. ML framework version(s) [e.g. torch 1.7.1]:
5. Other Python package versions [e.g. SparseML, Sparsify, numpy, ONNX]:
6. CPU info - output of deepsparse/src/deepsparse/arch.bin or output of cpu_architecture() as follows:
```python
>>> import deepsparse.cpu
>>> print(deepsparse.cpu.cpu_architecture())
```

**To Reproduce**
Exact steps to reproduce the behavior:


**Errors**
If applicable, add a full print-out of any errors or exceptions that are raised or include screenshots to help explain your problem.

**Additional context**
Add any other context about the problem here. Also include any relevant files.
